Subject: bug#75907: 30.0.93; Need bigger BASE_PURESIZE when building with PGTK variant

From: Xiyue Deng <[email-masked]>
Date: Thu, 30 Jan 2025 00:20:16 -0800

Eli Zaretskii <[email-masked]> writes:

>> From: Xiyue Deng <[email-masked]>
>> Cc: [email-masked]
>> Date: Wed, 29 Jan 2025 15:53:48 -0800
>> 
>> Eli Zaretskii <[email-masked]> writes:
>> 
>> >> From: Stefan Kangas <[email-masked]>
>> >> Date: Wed, 29 Jan 2025 11:49:53 -0600
>> >> Cc: [email-masked]
>> >> 
>> >> Eli Zaretskii <[email-masked]> writes:
>> >> 
>> >> > Stefan, do you think we should enlarge the number to 3400000 for Emacs
>> >> > 30.1?
>> >> 
>> >> I thought this was affecting master and not emacs-30?
>> >> 
>> >> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=74744#5
>> >> 
>> >> If it affects emacs-30 also, I have no objections to increasing the
>> >> value, but please, if possible, do it sooner rather than later.
>> >
>> > Sorry, maybe I was confused.  I looked at the Subject, which says
>> > 30.0.93.
>> >
>> > Xiyue Deng, in which version of Emacs did that happen to you?
>> 
>> This happens to me on 30.0.93 as well as a later commit (a9cde24) in the
>> origin/emacs-30 branch when compiled with GCC 14.2.0 on Debian.  So IMHO
>> applying the fix also to the origin/emacs-30 branch would be great.
>
> Thanks, so I increased it to 3400000 on the release branch, and I'm
> therefore closing this bug.
>

Thanks Eli!

> (I'm guessing that the GCC version affects this because your build is
> with native-compilation, because otherwise I cannot see how GCC could
> affect the required pure space; I must be missing something.  But we
> already learned during the pretest that the pure size we have is
> borderline, so a small increase cannot hurt.)

Indeed, I have native compilation enabled (as done with the Debian build
by default).

-- 
Regards,
Xiyue Deng